Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler
Class ContextHandler.SContext

    java.lang.Object
      org.mortbay.jetty.handler.ContextHandler.SContext

Direct Known Subclasses:
  Context.SContext

Enclosing class:
  ContextHandler

    public class ContextHandler.SContext

extends Object

Context.

Implements `ServletContext` from the `javax.servlet` package.

Author:
  gregw

Constructor Summary
`protected` | `ContextHandler.SContext()`

Method Summary
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`ServletContext` | `getContext(String uripath)`
`ContextHandler` | `getContextHandler()`
`String` | `getContextPath()`
`String` | `getInitParameter(String name)`
`Enumeration` | `getInitParameterNames()`
`int` | `getMajorVersion()`
`String` | `getMimeType(String file)`
`int` | `getMinorVersion()`
`RequestDispatcher` | `getNamedDispatcher(String name)`
`String` | `getRealPath(String path)`
`RequestDispatcher` | `getRequestDispatcher(String uriInContext)`
`URL` | `getResource(String path)`
`InputStream` | `getResourceAsStream(String path)`
`Set` | `getResourcePaths(String path)`
`String` | `getServerInfo()`
`Servlet` | `getServlet(String name)`
`String` | `getServletContextName()`
`Enumeration` | `getServletNames()`
`Enumeration` | `getServlets()`
`void` | `log(Exception exception, String msg)`
`void` | `log(String msg)`
`void` | `log(String message, Throwable throwable)`
`void` | `removeAttribute(String name)`
`void` | `setAttribute(String name, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextHandler.SContext

    protected ContextHandler.SContext()

Method Detail

### getContextHandler

    public ContextHandler getContextHandler()

### getContext

    public ServletContext getContext(String uripath)

### getMajorVersion

    public int getMajorVersion()

### getMimeType

    public String getMimeType(String file)

### getMinorVersion

    public int getMinorVersion()

### getNamedDispatcher

    public RequestDispatcher getNamedDispatcher(String name)

### getRealPath

    public String getRealPath(String path)

### getRequestDispatcher

    public RequestDispatcher getRequestDispatcher(String uriInContext)

### getResource

    public URL getResource(String path)
                    throws MalformedURLException

  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String path)

### getResourcePaths

    public Set getResourcePaths(String path)

### getServerInfo

    public String getServerInfo()

### getServlet

    public Servlet getServlet(String name)
                       throws ServletException

  Throws:
    `ServletException`

### getServletNames

    public Enumeration getServletNames()

### getServlets

    public Enumeration getServlets()

### log

    public void log(Exception exception,
                    String msg)

### log

    public void log(String msg)

### log

    public void log(String message,
                    Throwable throwable)

### getInitParameter

    public String getInitParameter(String name)

### getInitParameterNames

    public Enumeration getInitParameterNames()

### getAttribute

    public Object getAttribute(String name)

### getAttributeNames

    public Enumeration getAttributeNames()

### setAttribute

    public void setAttribute(String name,
                             Object value)

### removeAttribute

    public void removeAttribute(String name)

### getServletContextName

    public String getServletContextName()

### getContextPath

    public String getContextPath()

  Returns:
    Returns the _contextPath.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.